if (hasMemo("fishHouse") && !hasMemo("houseUnlock"))
{
  var pipe = getName("switcher");
  pipe.activateTexture(1);
  pipe = getName("pipe");
  pipe.activateTexture(1);
}

if (!hasMemo("houseUnlock"))
{
  setTile(7, 2, "ground");
}
else
{
  loop("p3/boiler_loop", 8, 9, 3);
}